<?php
/**
 * Simpleglassy enqueue scripts
 *
 * @package SimpleGlassy
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

if ( ! function_exists( 'simpleglassy_scripts' ) ) {
	/**
	 * Load theme's JavaScript and CSS sources.
	 */
	function simpleglassy_scripts() {

		wp_enqueue_style( 'simple-glassy-google-fonts', 'https://fonts.googleapis.com/css2?family=Mulish:ital,wght@0,200;0,300;0,500;1,200;1,300;1,500&family=Space+Mono&display=swap', [], null );

		// Get the theme data.
		$the_theme     = wp_get_theme();
		$theme_version = $the_theme->get( 'Version' );

		$css_version = $theme_version . '.' . filemtime( get_template_directory() . '/css/theme.css' );
		wp_enqueue_style( 'simple-glassy-styles', get_template_directory_uri() . '/css/theme.css', array(), $css_version );

		wp_enqueue_script( 'jquery' );

		$js_version = $theme_version . '.' . filemtime( get_template_directory() . '/js/theme.min.js' );
		wp_enqueue_script( 'simple-glassy-scripts', get_template_directory_uri() . '/js/theme.min.js', array(), $js_version, true );
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
	}
} // endif function_exists( 'simpleglassy_scripts' ).

add_action( 'wp_enqueue_scripts', 'simpleglassy_scripts' );
